CallableStatement.CallableStatementParamInfo
Date: 2018-05-01

com.mysql.jdbc

## Class CallableStatement.CallableStatementParamInfo

- java.lang.Object
- - com.mysql.jdbc.CallableStatement.CallableStatementParamInfo

- All Implemented Interfaces:
    java.sql.ParameterMetaData, java.sql.Wrapper
  Enclosing class:
    CallableStatement

      protected class CallableStatement.CallableStatementParamInfo
      extends java.lang.Object
      implements java.sql.ParameterMetaData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `catalogInUse`
    `(package private) boolean` | `isFunctionCall`
    `(package private) boolean` | `isReadOnlySafeChecked` synchronized externally in checkReadOnlyProcedure()
    `(package private) boolean` | `isReadOnlySafeProcedure` synchronized externally in checkReadOnlyProcedure()
    `(package private) java.lang.String` | `nativeSql`
    `(package private) int` | `numParameters`
    `(package private) java.util.List<CallableStatement.CallableStatementParam>` | `parameterList`
    `(package private) java.util.Map<java.lang.String,CallableStatement.CallableStatementParam>` | `parameterMap`

    - ### Fields inherited from interface java.sql.ParameterMetaData

      `parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallableStatement.CallableStatementParamInfo(CallableStatement.CallableStatementParamInfo fullParamInfo)` Constructor that converts a full list of parameter metadata into one that only represents the placeholders present in the {CALL ()}.
    `CallableStatement.CallableStatementParamInfo(java.sql.ResultSet paramTypesRs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkBounds(int paramIndex)`
    `protected java.lang.Object` | `clone()`
    `(package private) CallableStatement.CallableStatementParam` | `getParameter(int index)`
    `(package private) CallableStatement.CallableStatementParam` | `getParameter(java.lang.String name)`
    `java.lang.String` | `getParameterClassName(int arg0)`
    `int` | `getParameterCount()`
    `int` | `getParameterMode(int arg0)`
    `int` | `getParameterType(int arg0)`
    `java.lang.String` | `getParameterTypeName(int arg0)`
    `int` | `getPrecision(int arg0)`
    `int` | `getScale(int arg0)`
    `int` | `isNullable(int arg0)`
    `boolean` | `isSigned(int arg0)`
    `boolean` | `isWrapperFor(java.lang.Class<?> iface)`
    `(package private) java.util.Iterator<CallableStatement.CallableStatementParam>` | `iterator()`
    `(package private) int` | `numberOfParameters()`
    `<T> T` | `unwrap(java.lang.Class<T> iface)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### catalogInUse

          java.lang.String catalogInUse

    - #### isFunctionCall

          boolean isFunctionCall

    - #### nativeSql

          java.lang.String nativeSql

    - #### numParameters

          int numParameters

    - #### parameterList

          java.util.List<CallableStatement.CallableStatementParam> parameterList

    - #### parameterMap

          java.util.Map<java.lang.String,CallableStatement.CallableStatementParam> parameterMap

    - #### isReadOnlySafeProcedure

          boolean isReadOnlySafeProcedure

      synchronized externally in checkReadOnlyProcedure()

    - #### isReadOnlySafeChecked

          boolean isReadOnlySafeChecked

      synchronized externally in checkReadOnlyProcedure()

  - ### Constructor Detail

    - #### CallableStatement.CallableStatementParamInfo

          CallableStatement.CallableStatementParamInfo(CallableStatement.CallableStatementParamInfo fullParamInfo)

      Constructor that converts a full list of parameter metadata into one that only represents the placeholders present in the {CALL ()}.
      Parameters:
        `fullParamInfo` - the metadata for all parameters for this stored procedure or function.

    - #### CallableStatement.CallableStatementParamInfo

          CallableStatement.CallableStatementParamInfo(java.sql.ResultSet paramTypesRs)
                                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### checkBounds

          protected void checkBounds(int paramIndex)
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getParameter

          CallableStatement.CallableStatementParam getParameter(int index)

    - #### getParameter

          CallableStatement.CallableStatementParam getParameter(java.lang.String name)

    - #### getParameterClassName

          public java.lang.String getParameterClassName(int arg0)
                                                 throws java.sql.SQLException

      Specified by:
        `getParameterClassName` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterCount

          public int getParameterCount()
                                throws java.sql.SQLException

      Specified by:
        `getParameterCount` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMode

          public int getParameterMode(int arg0)
                               throws java.sql.SQLException

      Specified by:
        `getParameterMode` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterType

          public int getParameterType(int arg0)
                               throws java.sql.SQLException

      Specified by:
        `getParameterType` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterTypeName

          public java.lang.String getParameterTypeName(int arg0)
                                                throws java.sql.SQLException

      Specified by:
        `getParameterTypeName` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getPrecision

          public int getPrecision(int arg0)
                           throws java.sql.SQLException

      Specified by:
        `getPrecision` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getScale

          public int getScale(int arg0)
                       throws java.sql.SQLException

      Specified by:
        `getScale` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isNullable

          public int isNullable(int arg0)
                         throws java.sql.SQLException

      Specified by:
        `isNullable` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isSigned

          public boolean isSigned(int arg0)
                           throws java.sql.SQLException

      Specified by:
        `isSigned` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### iterator

          java.util.Iterator<CallableStatement.CallableStatementParam> iterator()

    - #### numberOfParameters

          int numberOfParameters()

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class<?> iface)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`
      See Also:
        `Wrapper.isWrapperFor(Class)`

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> iface)
                   throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`
      See Also:
        `Wrapper.unwrap(Class)`